import { standard, primary, error, white, black } from '../colors';
import { deepMerge } from '../utils';

function createColor(colors) {
  const defaultColors = {
    standard,
    primary,
    error,
    white,
    black
  };
  return deepMerge(defaultColors, colors);
}

export default createColor;